def getVideoClass():
    import numpy as np
    from keras.applications.vgg16 import VGG16
    from keras.layers import Dense, Dropout
    from keras.models import Sequential
    from keras.preprocessing import image
    from scipy import stats as s
    from glob import glob
    from keras import backend as K
    K.clear_session()
    base_model = VGG16(weights='imagenet', include_top=False)

    # defining the model architecture
    model = Sequential()
    model.add(Dense(1024, activation='relu', input_shape=(61440,)))
    model.add(Dropout(0.5))
    model.add(Dense(512, activation='relu'))
    model.add(Dropout(0.5))
    model.add(Dense(256, activation='relu'))
    model.add(Dropout(0.5))
    model.add(Dense(128, activation='relu'))
    model.add(Dropout(0.5))
    model.add(Dense(8, activation='softmax'))

    # loading the trained weights
    model.load_weights("weight.hdf5")

    # compiling the model
    model.compile(loss='categorical_crossentropy', optimizer='Adam', metrics=['accuracy'])
    images = glob("tempDynamic/*.png")
    prediction_images = []
    for i in range(len(images)):
        print(images[i])
        img = image.load_img(images[i], target_size=(480, 272, 3))
        img = image.img_to_array(img)
        img = img / 255
        prediction_images.append(img)

    predict = []
    print(len(prediction_images))
    # converting all the frames for a test video into numpy array
    prediction_images = np.array(prediction_images)
    print("-----------")
    print(len(prediction_images))
    print("-----------")
    # extracting features using pre-trained model
    ret = ""
    if len(prediction_images) > 5:
        prediction_images = base_model.predict(prediction_images)

        # converting features in one dimensional array
        print(prediction_images.shape)
        # flattedZeroArr = np.zeros((58, 15, 8, 512))
        # flattedZeroArr[:prediction_images.shape[0], :prediction_images.shape[1]] = prediction_images
        prediction_images = prediction_images.reshape(prediction_images.shape[0], 15*8*512)
        # predicting tags for each array
        prediction = model.predict(prediction_images)
        # appending the mode of predictions in predict list to assign the tag to the video
        print("Vid pred")
        print(s.mode(prediction)[0][0])
        yVals = ["He/She","Hello","Here","Job","Me","Name","Teacher","You"]
        ret = yVals[np.argmax(s.mode(prediction)[0][0])]
    return ret

# print(getVideoClass())
